
class GeolocationParams
  attr_accessor :ip
  attr_accessor :fields
  attr_accessor :lang
  attr_accessor :ips;

  def initialize
    @ip = "";
    @fields = "";
    @lang = "en";
    @ips = Array.new(0);
  end

  def ips=(ips)
    if @ips.length > 50
      begin
        raise ArgumentError, 'Max. number of IP addresses cannot be more than 50.'
      rescue ArgumentError => e
        puts e.message
      end
    else
      @ips = ips;
    end
  end

end